PostgreSQL 8.1.23 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP TYPE

## Name

DROP TYPE -- remove a data type

## Synopsis

    DROP TYPE name [, ...] [ CASCADE | RESTRICT ]

## Description

`DROP TYPE` will remove a user-defined data type. Only the owner of a type can remove it.

## Parameters

`name`

  The name (optionally schema-qualified) of the data type to remove.

`CASCADE`

  Automatically drop objects that depend on the type (such as table columns, functions, operators).

`RESTRICT`

  Refuse to drop the type if any objects depend on it. This is the default.

## Examples

To remove the data type `box`:

    DROP TYPE box;

## Compatibility

This command is similar to the corresponding command in the SQL standard, but note that the `CREATE TYPE` command and the data type extension mechanisms in PostgreSQL differ from the SQL standard.

## See Also

CREATE TYPE, ALTER TYPE

Prev | Home | Next
DROP TRIGGER | Up | DROP USER